%define	name	gtkwave
%define	version 2.0.0
%define pre	pre5
%define release 0.%{pre}.3mdk
%define Summary	GTKWave Electronic Waveform Viewer

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
License: 	GPL
Group:		Sciences/Other
Source0:	ftp://ftp.cs.man.ac.uk/pub/amulet/gtkwave/2.0/%{name}-%{version}%{pre}.tar.bz2
Source1:	%{name}-16.png.bz2
Source2:	%{name}-32.png.bz2
Source3:	%{name}-48.png.bz2
Patch:		%{name}-2.0.0pre5.gcc4.patch.bz2
URL:		http://www.cs.man.ac.uk/apt/tools/gtkwave/index.html
BuildRequires:	gtk+1.2-devel
BuildRequires:	libxml2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
GTKWave is VCD/EVCD/LXT/Synopsis .out format electronic waveform viewer
built using the GTK+ toolkit. GTKWave was originally developed by Tony
Bybell but development has now passed to the Amulet group and we hope to
extend and improve GTKWave to support new formats and features. Tony
continues to add features to the 1.3 series, the latest release in this
series is 1.3.21. 

GTKWave will hopefully also form the basis of some new visualisation
tools for LARD. 

%package devel
Summary:        Headers for developing programs that will use %{name}
Group:          Development/C
Requires:       %{name}-devel = %{version}

%description devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -n %{name}-%{version}%{pre}
bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
%patch -p1

%build
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std
chmod 644 %{buildroot}%{_libdir}/%{name}/*.la
%{find_lang} %{name}

# icons
install -D -m 644 %{name}-16.png %{buildroot}%{_miconsdir}/%{name}.png 
install -D -m 644 %{name}-32.png %{buildroot}%{_iconsdir}/%{name}.png 
install -D -m 644 %{name}-48.png %{buildroot}%{_liconsdir}/%{name}.png

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat >%{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.png"\\
	section="More Applications/Sciences/Other"\\
	title="GTKWave" \
	longtitle="%{Summary}"
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL ChangeLog README doc examples
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%exclude %{_libdir}/%{name}/*.a

%files devel
%defattr(-, root, root)
%{_libdir}/%{name}/*.a
%{_includedir}/%{name}

%changelog
* Fri Aug 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-0.pre5.3mdk
- fix build 
- fix menu entry
- fix libtool file perms
- less strict requires

* Thu Jul 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.0.0-0.pre5.2mdk 
- spec cleanup

* Wed Jul 21 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.0.0-0.pre5.1mdk
- new version
- rpmbuildupdate aware
- fixed menu category
- fixed buildrequires
- devel subpackage

* Tue Jul 15 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.0-0.pre3.3mdk
- rebuild

* Tue Jun 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.0.0-0.pre3.2mdk
- fix group
- rm -rf %{buildroot} in %%install, not %%prep
- change summary macro to avoid conflicts with -debug package
- updated url
- quiet setup
- buildrequires

* Sat Feb 08 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.0.0-0.pre3.1mdk
- first Mandrake release

